langcode: en
status: true
dependencies:
  module:
    - options
  theme:
    - pulse_theme
label: 'Space Slider'
id: sdc.pulse_theme.space-slider
source: sdc
source_local_id: 'pulse_theme:space-slider'
provider: pulse_theme
active_version: f8e547c27e66706d
versioned_properties:
  active:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 3
          expression: ℹ︎list_integer␟value
        slides_per_view_ipad:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 2
          expression: ℹ︎list_integer␟value
        slides_per_view_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center
          expression: ℹ︎list_string␟value
        pagination_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: default
          expression: ℹ︎list_string␟value
        with_gradient:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: my-custom-slider
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide Item'
          description: 'Content for the slide item'
  2b7061d09c405961:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 3
          expression: ℹ︎list_integer␟value
        slides_per_view_ipad:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 2
          expression: ℹ︎list_integer␟value
        slides_per_view_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center
          expression: ℹ︎list_string␟value
        pagination_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: default
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: my-custom-slider
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide Item'
          description: 'Content for the slide item'
  e4e8f52f34bb99c2:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 3
          expression: ℹ︎list_integer␟value
        slides_per_view_ipad:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 2
          expression: ℹ︎list_integer␟value
        slides_per_view_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center
          expression: ℹ︎list_string␟value
        pagination_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: default
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: my-custom-class
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide Item'
          description: 'Content for the slide item'
  3652a75deef2d146:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 3
          expression: ℹ︎list_integer␟value
        slides_per_view_ipad:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 2
          expression: ℹ︎list_integer␟value
        slides_per_view_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: my-custom-class
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide Item'
          description: 'Content for the slide item'
  910747c312168f39:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 3
          expression: ℹ︎list_integer␟value
        slides_per_view_ipad:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 2
          expression: ℹ︎list_integer␟value
        slides_per_view_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center
          expression: ℹ︎list_string␟value
        pagination_style:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: dots
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: my-custom-class
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide Item'
          description: 'Content for the slide item'
  f5ee5c398628716d:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 3
          expression: ℹ︎list_integer␟value
        slides_per_view_ipad:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 2
          expression: ℹ︎list_integer␟value
        slides_per_view_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: my-custom-class
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide Item'
          description: 'Content for the slide item'
  213d72482e07a4b0:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        slides_per_view_ipad:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        slides_per_view_mobile:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slides:
          title: Slides
          description: 'Content for the slides'
  01d3817b883dbeb3:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        slides_per_view_ipad:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        slides_per_view_mobile:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slides:
          title: Slides
          description: 'Content for the slides'
  cc63e436ed7d4336:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        slides_per_view_desktop:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        slides_per_view_ipad:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        slides_per_view_mobile:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slides:
          title: Slides
          description: 'Content for the slides'
  eb331236286f3ab6:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        slides_on_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        counter:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary-dark-arrows
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: right-align
          expression: ℹ︎list_string␟value
        arrows_top_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-top
          expression: ℹ︎list_string␟value
        arrows_bottom_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-bottom
          expression: ℹ︎list_string␟value
        slide_padding_right:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 0
          expression: ℹ︎list_integer␟value
        slide_padding_left:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 0
          expression: ℹ︎list_integer␟value
        pagination_style:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: no-pagination
          expression: ℹ︎list_string␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary-light-background
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center-align-pagination
          expression: ℹ︎list_string␟value
        pagination_top_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-top
          expression: ℹ︎list_string␟value
        pagination_bottom_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-bottom
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: 'Slide item'
          description: 'Content for slide item'
  689cfe1a514d8f1a:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        slides_on_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        counter:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary-dark-arrows
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: right-align
          expression: ℹ︎list_string␟value
        arrows_top_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-top
          expression: ℹ︎list_string␟value
        arrows_bottom_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-bottom
          expression: ℹ︎list_string␟value
        slide_padding_right:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 0
          expression: ℹ︎list_integer␟value
        slide_padding_left:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 0
          expression: ℹ︎list_integer␟value
        pagination_style:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: no-pagination
          expression: ℹ︎list_string␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary-light-background
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center-align-pagination
          expression: ℹ︎list_string␟value
        pagination_top_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-top
          expression: ℹ︎list_string␟value
        pagination_bottom_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-bottom
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: Slide
          description: 'Content for Slide'
  1a9033d77bf100cf:
    settings:
      prop_field_definitions:
        slides_type:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: slide
          expression: ℹ︎list_string␟value
        slide_focus:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: none
          expression: ℹ︎list_string␟value
        slides_per_view:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        slides_on_mobile:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 1
          expression: ℹ︎list_integer␟value
        autoplay:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        counter:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        arrows:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: true
          expression: ℹ︎boolean␟value
        arrows_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary-dark-arrows
          expression: ℹ︎list_string␟value
        arrows_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: right-align
          expression: ℹ︎list_string␟value
        arrows_top_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-top
          expression: ℹ︎list_string␟value
        arrows_bottom_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-bottom
          expression: ℹ︎list_string␟value
        slide_padding_right:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 0
          expression: ℹ︎list_integer␟value
        slide_padding_left:
          required: false
          field_type: list_integer
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: 0
          expression: ℹ︎list_integer␟value
        pagination_style:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: no-pagination
          expression: ℹ︎list_string␟value
        pagination_color:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: primary-light-background
          expression: ℹ︎list_string␟value
        pagination_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: center-align-pagination
          expression: ℹ︎list_string␟value
        pagination_top_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-top
          expression: ℹ︎list_string␟value
        pagination_bottom_padding:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: small-bottom
          expression: ℹ︎list_string␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
        slides_list:
          required: false
          field_type: string
          cardinality: -1
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slide_item:
          title: Slide
          description: 'Content for Slide (use slides_list prop for structured lists)'
  fe36e7669f299a0f:
    settings:
      prop_field_definitions:
        arrow_display:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        pagination_display:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value: null
          expression: ℹ︎boolean␟value
        arrow_position:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        pagination_position:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value: null
          expression: ℹ︎list_string␟value
        per_page:
          required: false
          field_type: integer
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: number
          default_value: null
          expression: ℹ︎integer␟value
        gap:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions:
        slides:
          title: Slides
          description: 'Content to be slided.'
